OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

7 Pages V   1 2 3 > »   
Reply to this topicStart new topic
> Pdaxii13v2, upgrading to build 5.5 alpha5
Meanie
post Sep 16 2007, 07:24 PM
Post #1





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



The baseline for pdaXii13, ie full compatability with beta1/beta3 will be broken in the next generation of pdaXii13, ie pdaXii13v2 aka build 5.5

packages for pdaXii13 up to 5.4.9 are compatible with pdaXrom beta1/beta3 and vice versa.

Starting pdaXii13 build 5.5 aka pdaXii13v2, this compatability is no longer maintained since most of the base libraries for pdaXii13v2 will be upgraded to the latest/newer versions which are more in line with pdaXrom Latest aka r197/r198.

pdaXiiv2 will still be able to run beta1/beta3 apps, but apps compiled for pdaXii13v2 will no longer be guaranteed to be working in beta1/beta3 without upgrading the necessary libraries.

pdaXii13 build 5.4.9 can be upgraded to pdaXii13v2 via ipkg upgrade using the following feed:
http://www.tyrannozaurus.com/feed/beta3/pdaxiiv2/

it is also necessary to update /usr/bin/ipkg, /etc/ipkg.conf and /usr/lib/ipkg/ignored which can be found at the end of this thread before attempting an upgrade: http://www.oesf.org/forums/index.php?showt...mp;#entry167303

alternatively, you can also install the following package which will update the above files for you and if you are connected to the internet, will run ipkg upgrade to upgrade all the packages as listed on http://www.tyrannozaurus.com/feed/pdaXii13/tmp/

http://www.tyrannozaurus.com/feed/beta3/pd...a5_armv5tel.ipk

most packages used for upgrading to pdaXiiv2 were taken from kkazakov13's feed (http://z.drun.net/packages/), however, I had to rebuild a few myself to make them compatible with pdaXii13

gtk2 - newer version and support for xim/scim
bluez-libs - added compatability link for older apps
bluez-tools - changed config to support rfcomm (dun/gprs) and cf card detection
dbus - added dependency for dbus-glib
leafpad - linked /usr/local to /usr
links - with desktop file and icon
wifi-radar - command line option
openbox - with working rotation and keyboard shortcuts

additional packages available:
xtermcontrol
gpicview
wireshark
epiphany
cellwriter
obconf
tomoe
quasar
Go to the top of the page
 
+Quote Post
adf
post Sep 16 2007, 08:35 PM
Post #2





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



I guess, based on available images, I'll do a fresh 4.9 install and then update

Ugh. I'd forgotten that the CF Flash seems to write slower (but seek faster) than the microdrive. Flashing is time consuming now wink.gif
Go to the top of the page
 
+Quote Post
raduga
post Sep 17 2007, 10:45 AM
Post #3





Group: Members
Posts: 132
Joined: 2-March 04
Member No.: 2,125



QUOTE(Meanie @ Sep 16 2007, 07:24 PM)
The baseline for pdaXii13, ie full compatability with beta1/beta3 will be broken in the next generation of pdaXii13, ie pdaXii13v2 aka build 5.5


Is there an initrd for build 5.5 yet?
Go to the top of the page
 
+Quote Post
adf
post Sep 17 2007, 04:04 PM
Post #4





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



status on a fresh install of 4.9/update with the ipk:
mostly looks good.
when launching an app libcairo complains about wanting a version number (from libpng?)

fontconfig comlains that there are no cached elements


weirdly I can't seem to get dun info from the ppp modem gui (BT to phone) and while I can do hcitool scan, connect with hcitool cc, I can't do hcitool auth to get a connection.
Edit: sim card issues--will revisit this after a replacement
Go to the top of the page
 
+Quote Post
FinnDinn
post Sep 18 2007, 09:50 AM
Post #5





Group: Members
Posts: 9
Joined: 9-January 07
Member No.: 13,810



I have a similiar problem with bluetooth on this alpha - cannot authenticate after the PIN prompt
Go to the top of the page
 
+Quote Post
adf
post Sep 18 2007, 07:02 PM
Post #6





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



QUOTE(FinnDinn @ Sep 18 2007, 09:50 AM)
I have a similiar problem with bluetooth on this alpha - cannot authenticate after the PIN prompt
*

Yeah--I switched SIM cards, reset all passwords-- pppd call GPRS just gets me the box on my phone to enter the pin, then tells me pairing failed. NOT good. Glad to hear it might not be just me, though.

The question then, is where the problem lies? Should we downgrade the bluetooth stuff? Any of it? all of it? change a config file?

incidentally, /var/log/dmesg has some interesting info:
Linux version 2.4.20 (darkstar@aleihos)

Ignoring unrecognized tag 0x00000000
Turbo mode clock : 416.00MHZ (*2.0, active)
run mode clock : 208.00MHZ
system bus clock : 208.00MHZ (1/1)
LCD clock : 104.00MHZ (1/2)

maybe that stuff has been around for awhile and I didn't notice? (and shouldn't "turbo" be faster wink.gif ?)

I guess this makes a good excuse to try titchy

edit--make that "try gentoo," titchy didn't seem to lik the cf repacement smile.gif
Go to the top of the page
 
+Quote Post
Meanie
post Sep 19 2007, 12:25 AM
Post #7





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(FinnDinn @ Sep 19 2007, 03:50 AM)
I have a similiar problem with bluetooth on this alpha - cannot authenticate after the PIN prompt
*


please upgrade the two bluez packages (bluez-libs, bluez-utils) again and it should fix that...
Go to the top of the page
 
+Quote Post
FinnDinn
post Sep 19 2007, 07:01 AM
Post #8





Group: Members
Posts: 9
Joined: 9-January 07
Member No.: 13,810



QUOTE(Meanie @ Sep 19 2007, 12:25 AM)
please upgrade the two bluez packages (bluez-libs, bluez-utils) again and it should fix that...
*


Thank you, it worked.
Another problem - png desktop icons are not displayed, probably a problem with libpng?
Go to the top of the page
 
+Quote Post
Meanie
post Sep 19 2007, 06:30 PM
Post #9





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(FinnDinn @ Sep 20 2007, 01:01 AM)
QUOTE(Meanie @ Sep 19 2007, 12:25 AM)
please upgrade the two bluez packages (bluez-libs, bluez-utils) again and it should fix that...
*


Thank you, it worked.
Another problem - png desktop icons are not displayed, probably a problem with libpng?
*



probably a problem with rox. it has a bug which does that from time to time. running rox-fix should fix it...
Go to the top of the page
 
+Quote Post
FinnDinn
post Sep 20 2007, 01:25 PM
Post #10





Group: Members
Posts: 9
Joined: 9-January 07
Member No.: 13,810



[quote=Meanie,Sep 19 2007, 06:30 PM]
[quote=FinnDinn,Sep 20 2007, 01:01 AM]
[/quote]
Another problem - png desktop icons are not displayed, probably a problem with libpng?
*

[/quote]

probably a problem with rox. it has a bug which does that from time to time. running rox-fix should fix it...
*

[/quote]

Sorry, but I couldn't find anything by that name neither on forum except this post, nor on the disk unsure.gif Reinstalling rox doesn't seem to help.
Go to the top of the page
 
+Quote Post
adf
post Sep 20 2007, 01:29 PM
Post #11





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



[quote=FinnDinn,Sep 20 2007, 01:25 PM]
[quote=Meanie,Sep 19 2007, 06:30 PM]
[quote=FinnDinn,Sep 20 2007, 01:01 AM]
[/quote]
Another problem - png desktop icons are not displayed, probably a problem with libpng?
*

[/quote]

probably a problem with rox. it has a bug which does that from time to time. running rox-fix should fix it...
*

[/quote]

Sorry, but I couldn't find anything by that name neither on forum except this post, nor on the disk unsure.gif Reinstalling rox doesn't seem to help.
*

[/quote]
gnome-vfs version problem."relocation error." this is, of course after doing some creative linking to make a couple other libraries work.

Type "rox"in a terminal, you'll see clearly

edit: i may have described a unique problem caused by me--not a pdaxii13v2 issue
Go to the top of the page
 
+Quote Post
canguy247
post Sep 21 2007, 05:31 PM
Post #12





Group: Members
Posts: 70
Joined: 6-January 07
Member No.: 13,740



Hey Meanie,

Once again nice work Meanie. It is amazing how much work you put into this. I just have one quick question. I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2. The only problem is that I have a non-standard setup. My SL-C1000 has the FULL version on SD. If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
Go to the top of the page
 
+Quote Post
Meanie
post Sep 22 2007, 06:16 AM
Post #13





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.
Go to the top of the page
 
+Quote Post
canguy247
post Sep 22 2007, 12:46 PM
Post #14





Group: Members
Posts: 70
Joined: 6-January 07
Member No.: 13,740



QUOTE(Meanie @ Sep 22 2007, 10:16 AM)
QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.
*


OK. I guess I will be backing up my SD and internal flash tomorrow and try it. Just wanted to know if it was theoretically possible. Thanks Meanie.
Go to the top of the page
 
+Quote Post
canguy247
post Sep 25 2007, 09:59 AM
Post #15





Group: Members
Posts: 70
Joined: 6-January 07
Member No.: 13,740



QUOTE(canguy247 @ Sep 22 2007, 04:46 PM)
QUOTE(Meanie @ Sep 22 2007, 10:16 AM)
QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.
*


OK. I guess I will be backing up my SD and internal flash tomorrow and try it. Just wanted to know if it was theoretically possible. Thanks Meanie.
*



So, I upgraded to 5.4.9 using the custom.tgz, and then installed the upgrade ipk for v2, which installed all of the updates. Everything works great except for a couple of issues. The main one is that IceWM does not have any apps in the start menu. Is this normal behaviour?

Canguy
Go to the top of the page
 
+Quote Post

7 Pages V   1 2 3 > » 
Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 1st August 2014 - 06:28 PM